Package de.willuhn.jameica.hbci.util

# Class DateParser

java.lang.Object
de.willuhn.jameica.hbci.util.DateParser

public class DateParser extends Object
Extra-toleranter Parser für Datumswerte.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DateParser.DatePattern`
Hilfsklasse, welche das Datumsformat mit optionalen Parametern haelt.

## Constructor Summary

Constructors
Constructor
Description
`DateParser()`

## Method Summary

Modifier and Type
Method
Description
`static Date`
`parse(String date)`
Parst einen gegebenen Datumsstring fehlertolerant.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateParser

public DateParser()

## Method Details

### parse

public static Date parse(String date)
Parst einen gegebenen Datumsstring fehlertolerant.

Parameters:
  `date` - der zu parsende String.
Returns:
  das Datum oder NULL, wenn es nicht geparst werden konnte.